%global glib2_version 2.45.8

Summary:       Library for querying compressed XML metadata
Name:          libxmlb
Version:       0.3.10
Release:       7%{?dist}
License:       LGPLv2+
URL:           https://github.com/hughsie/libxmlb
Source0:       http://people.freedesktop.org/~hughsient/releases/%{name}-%{version}.tar.xz

BuildRequires: glib2-devel gtk-doc libstemmer-devel meson shared-mime-info
BuildRequires: gobject-introspection-devel xz-devel python3-setuptools
Requires:      glib2 shared-mime-info

%description
This package provides a XML which is slow to parse and strings inside the
document cannot be memory mapped as they do not have a trailing NUL char.
The libxmlb library takes XML source, and converts it to a structured binary
representation with a deduplicated string table -- where the strings have the NULs included.

This allows an application to mmap the binary XML file, do an XPath query and
return some strings without actually parsing the entire document. This is all
done using (almost) zero allocations and no actual copying of the binary data.

%package       devel
Summary:       Development package for %{name}
Requires:      %{name} = %{version}-%{release}
Provides:      %{name}-tests = %{version}-%{release}
Obsoletes:     %{name}-tests < %{version}-%{release}

%description   devel
Files for development with %{name} and installed test.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%meson \
    -Dgtkdoc=true \
    -Dtests=true

%meson_build

%check
%meson_test

%install
%meson_install

%files
%license LICENSE
%doc README.md
%{_bindir}/xb-tool
%dir %{_libdir}/girepository-1.0
%{_libdir}/girepository-1.0/Xmlb-2.0.typelib
%{_libdir}/libxmlb.so.2*
%{_mandir}/man1/xb-tool.1*

%files devel
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/Xmlb-2.0.gir
%dir %{_datadir}/gtk-doc
%dir %{_datadir}/gtk-doc/html
%{_datadir}/gtk-doc/html/libxmlb
%{_includedir}/libxmlb-2
%{_libdir}/libxmlb.so
%{_libdir}/pkgconfig/xmlb.pc
%dir %{_libexecdir}/installed-tests/libxmlb
%{_libexecdir}/installed-tests/libxmlb/xb-self-test
%{_libexecdir}/installed-tests/libxmlb/test.xml.gz.gz.gz
%dir %{_datadir}/installed-tests/libxmlb
%{_datadir}/installed-tests/libxmlb/libxmlb.test

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.10-7
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.10-6
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.10-5
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.10-4
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.10-3
- Rebuilt for OpenCloudOS Stream 23

* Thu Feb 23 2023 Miaojun Dong <zoedong@tencent.com> - 0.3.10-2
- remove README.md

* Wed Nov 16 2022 Shuo Wang <abushwang@tencent.com> - 0.3.10-1
- initial build
